#! /bin/bash
#
# Copyright 2019 NXP
# Author: Tomas Lestyan
#
# The wrapping blhost utility with checked output
# Possible error codes:
# 0: success, 2: Error

pushd "$(dirname "$0")"/../tools/blhost2_3/linux/amd64/
echo "${PWD}/"blhost "$@"
CMD=$(./blhost -t 120000 "$@")
STATUS="$?"
popd
RESULT=2
echo "$CMD"
echo "$CMD" | grep -q -E -- 'Success|bootable image generated successfully|1450735702' && RESULT=0
if [ $STATUS -eq 0 ] && [ $RESULT -le 1 ];
	then
	  echo "blhost succeeded"
 		exit $RESULT
	else
	  echo "blhost failed!"
		exit 2
fi
